aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rw-r--r--check/bin.sh2
-rw-r--r--lint/bin.sh6
3 files changed, 7 insertions, 3 deletions
diff --git a/Makefile b/Makefile
index 314c2a2b..0b734595 100644
--- a/Makefile
+++ b/Makefile
@@ -538,7 +538,7 @@ check: check-bin \
check-bash:
sh check/bash.sh
-check-bin: $(BINS_SH)
+check-bin: $(BINS)
sh check/bin.sh
check-games:
diff --git a/check/bin.sh b/check/bin.sh
index 04b0da6b..87bea709 100644
--- a/check/bin.sh
+++ b/check/bin.sh
@@ -1,4 +1,4 @@
for bin in bin/*.sh ; do
- sh -n "$bin" || exit
+ sh -n -- "${bin%.sh}" || exit
done
printf 'All shell scripts in bin parsed successfully.\n'
diff --git a/lint/bin.sh b/lint/bin.sh
index 0fe82d7a..16facb6a 100644
--- a/lint/bin.sh
+++ b/lint/bin.sh
@@ -1 +1,5 @@
-find bin -type f -name '*.sh' -print -exec shellcheck -e SC1090 -s sh -- {} +
+set --
+for sh in bin/*.sh ; do
+ set "$@" "${sh%.sh}"
+done
+shellcheck -e SC1090 -- "$@"